<?php if(!defined('ABSPATH')) {die('You are not allowed to call this page directly.');}

class MPCA_Checkout_Controller {
  public function __construct() {
    add_action( 'mepr-signup', array( $this, 'process_signup' ) );
  }

  public function process_signup($transaction) {
    $obj = $transaction;
    $type = 'transactions';

    if($transaction->subscription_id > 0) {
      $obj = $transaction->subscription();
      $type = 'subscriptions';
    }

    $product = $obj->product();

    $is_corporate_product = get_post_meta($product->ID, 'mpca_is_corporate_product', true);
    $num_sub_accounts = get_post_meta($product->ID, 'mpca_num_sub_accounts', true);

    if($is_corporate_product) {
      // create corporate account using the information from above
      $ca = new MPCA_Corporate_Account();
      $ca->obj_id = $obj->id;
      $ca->obj_type = $type;
      $ca->num_sub_accounts = $num_sub_accounts;
      $ca->user_id = $obj->user_id;
      $ca->store();
    }
  }
}
