jQuery(document).ready(function($) {
    // Drip API stuff
    var mepr_check_drip_apikey = function( apikey, wpnonce ) {
        if( apikey == '' ) { return; }

        var args = {
            action: 'mepr_drip_ping_apikey',
            apikey: apikey,
            wpnonce: wpnonce
        };

        $.post( ajaxurl, args, function(res) {
            if( res == 'error' ) {
                $('#mepr-drip-valid').hide();
                $('#mepr-drip-invalid').html( 'Could not validate API Token.' );
                $('#mepr-drip-invalid').fadeIn();
                $('select#meprdrip_account_id').html('');
                $('select#meprdrip_list_id').html('');
            }
            else {
                $('#mepr-drip-invalid').hide();
                $('#mepr-drip-valid').html( 'Ready!' );
                $('#mepr-drip-valid').fadeIn();

                mepr_load_drip_accounts_dropdown( 'select#meprdrip_account_id', apikey, wpnonce );
                mepr_load_drip_campaigns_dropdown( 'select#meprdrip_list_id', apikey, $('select#meprdrip_account_id').val(), wpnonce );
            }
        });

    }

    //Drip enabled/disable checkbox
    if($('#meprdrip_enabled').is(":checked")) {
        mepr_check_drip_apikey( $('#meprdrip_api_key').val(), MeprDrip.wpnonce );
        $('div#drip_hidden_area').show();
    } else {
        $('div#drip_hidden_area').hide();
    }
    $('#meprdrip_enabled').click(function() {
        if($('#meprdrip_enabled').is(":checked")) {
            mepr_check_drip_apikey( $('#meprdrip_api_key').val(), MeprDrip.wpnonce );
        }
        $('div#drip_hidden_area').slideToggle('fast');
    });

    var action = ($('#meprdrip_optin').is(":checked")?'show':'hide');
    $('#meprdrip-optin-text')[action]();
    $('#meprdrip_optin').click(function() {
        $('#meprdrip-optin-text')['slideToggle']('fast');
    });

    // Drip Actions
    $('#meprdrip_api_key').blur( function(e) {
        mepr_check_drip_apikey( $(this).val(), MeprDrip.wpnonce );
    });

    $('select#meprdrip_account_id').live('change', function(e){
        mepr_load_drip_campaigns_dropdown( 'select#meprdrip_list_id', $('#meprdrip_api_key').val(), $(this).val(), MeprDrip.wpnonce );
    });
}); //End main document.ready func

